#!/bin/sh
echo 'name: primitive
version: 0.4.1
id: primitive-0.4.1-d36feb927f0ff0cb7c02d8a36a08c712

license: BSD3
copyright: (c) Roman Leshchinskiy 2009-2010
maintainer: Roman Leshchinskiy <rl@cse.unsw.edu.au>
stability:
homepage: http://code.haskell.org/primitive
package-url:
synopsis: Wrappers for primitive operations
description:  
             .
             This package provides wrappers for primitive array operations from
             GHC.Prim.
             .
             Changes in version 0.4.1
             .
             * New module "Data.Primitive.MutVar"
             .
             Changes in version 0.4.0.1
             .
             * Critical bug fix in @fillByteArray@
             .
             Changes in version 0.4
             .
             * Support for GHC 7.2 array copying primitives
             .
             * New in "Data.Primitive.ByteArray": @copyByteArray@,
             @copyMutableByteArray@, @moveByteArray@, @fillByteArray@
             .
             * Deprecated in "Data.Primitive.ByteArray": @memcpyByteArray@,
             @memcpyByteArray'\''@, @memmoveByteArray@, @memsetByteArray@
             .
             * New in "Data.Primitive.Array": @copyArray@, @copyMutableByteArray@
             .
             * New in "Data.Primitive.Addr": @copyAddr@, @moveAddr@
             .
             * Deprecated in "Data.Primitive.Addr": @memcpyAddr@
             .
category: Data
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
exposed: True
exposed-modules: Control.Monad.Primitive Data.Primitive
                 Data.Primitive.MachDeps Data.Primitive.Types Data.Primitive.Array
                 Data.Primitive.ByteArray Data.Primitive.Addr Data.Primitive.MutVar
hidden-modules: Data.Primitive.Internal.Compat
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/primitive-0.4.1
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/primitive-0.4.1
              /usr/local/lib
hs-libraries: HSprimitive-0.4.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/ghc-7.4.1/cabal/primitive-0.4.1/include
includes: primitive-memops.h
depends: base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         ghc-prim-0.2.0.0-bd29cb1ca1b712d64e00ac9207f87d0a
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/primitive-0.4.1/html/primitive.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/primitive-0.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
